# ChangeLog for sys-apps/findutils
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/findutils/ChangeLog,v 1.69 2006/04/07 19:58:38 kloeri Exp $

  07 Apr 2006; Bryan Østergaard <kloeri@gentoo.org metadata.xml:
  Remove ciaranm from metadata.xml.

  31 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  findutils-4.2.27.ebuild:
  Add ~x86-fbsd keyword.

  19 Feb 2006; Joshua Kinard <kumba@gentoo.org> findutils-4.1.20-r2.ebuild:
  Marked stable on mips.

  19 Jan 2006; Marcus D. Hanwell <cryos@gentoo.org>
  findutils-4.1.20-r2.ebuild:
  Stable on amd64.

  30 Dec 2005; Markus Rothe <corsair@gentoo.org> findutils-4.1.20-r2.ebuild:
  Stable on ppc64

  27 Dec 2005; Bryan Østergaard <kloeri@gentoo.org
  findutils-4.1.20-r2.ebuild:
  Stable on alpha.

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org>
  findutils-4.1.20-r2.ebuild:
  Stable on ppc.

  24 Dec 2005; Rene Nussbaumer <killerfox@gentoo.org>
  findutils-4.1.20-r2.ebuild:
  Stable on hppa.

  24 Dec 2005; Chris PeBenito <pebenito@gentoo.org>
  +files/findutils-4.3.0-selinux.diff, findutils-4.3.0.ebuild:
  Update SELinux patch.

  23 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  findutils-4.1.20-r2.ebuild:
  Stable on sparc

  23 Dec 2005; Mark Loeser <halcy0n@gentoo.org> findutils-4.1.20-r2.ebuild:
  Stable on x86; bug #116424

*findutils-4.1.20-r2 (22 Dec 2005)

  22 Dec 2005; Stefaan De Roeck <stefaan@gentoo.org>
  +findutils-4.1.20-r2.ebuild:
  Remove afs support, as it doesn't do anything useful, and just leaves people
  who want to use newer openafs ebuilds with broken library dependencies (bug
  #116222)

  19 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.3.0.ebuild:
  Switch to #include_next rather than copying for regex.h

  15 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.3.0.ebuild:
  4.3.0 is only on alpha

*findutils-4.3.0 (15 Dec 2005)

  15 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org> +findutils-4.3.0.ebuild:
  New upstream version. Hopefully fixes bug #114747.

*findutils-4.2.27 (07 Dec 2005)

  07 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +findutils-4.2.27.ebuild:
  New version.

  05 Nov 2005; Fabian Groffen <grobian@gentoo.org> findutils-4.2.25.ebuild:
  Marked ~ppc-macos (bug #58089)

  10 Oct 2005; Chris PeBenito <pebenito@gentoo.org>
  -files/findutils-4.2.18-selinux.diff,
  -files/findutils-4.2.20-selinux.diff,
  -files/findutils-4.2.23-selinux.patch,
  +files/findutils-4.2.24-selinux.diff, findutils-4.2.24.ebuild,
  findutils-4.2.25.ebuild:
  Clean up SELinux patches.

*findutils-4.2.25 (07 Oct 2005)

  07 Oct 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  -findutils-4.2.18.ebuild, -findutils-4.2.20.ebuild,
  -findutils-4.2.23.ebuild, +findutils-4.2.25.ebuild:
  New version, tidy up older versions

  01 Oct 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.2.24.ebuild:
  Add --without-included-regex, bug #107638

  29 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.2.24.ebuild:
  Comment out selinux patch stuff until the selinux people get their act
  together. Bug #106908.

  26 Sep 2005; Mike Frysinger <vapier@gentoo.org> findutils-4.2.23.ebuild,
  findutils-4.2.24.ebuild:
  Punt CPPFLAGS hack since it only existed for the purpose of afs which too
  has been punted.

*findutils-4.2.24 (22 Sep 2005)

  22 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +findutils-4.2.24.ebuild:
  Version bump

  30 Aug 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.2.23.ebuild:
  Remove AFS support, bug #104132. Remove from package.mask.

*findutils-4.2.23 (30 Aug 2005)

  30 Aug 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +files/findutils-4.2.23-selinux.patch, +findutils-4.2.23.ebuild:
  Version bump, bug #104132. Initially in package.mask, needs testing on AFS
  and SELinux systems.

  22 May 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +files/findutils-4.2.20-man.patch, findutils-4.2.20.ebuild:
  Clarify the man page wording, thanks to Jason Bucata in bug #93294

  14 May 2005; Ciaran McCreesh <ciaranm@gentoo.org> findutils-4.2.20.ebuild:
  Add in *bsd things, bug #92588. Change to not use einstall.

*findutils-4.2.20 (17 Mar 2005)

  17 Mar 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +files/findutils-4.2.20-selinux.diff, +findutils-4.2.20.ebuild:
  Version bump

  20 Feb 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/findutils-4.2.18-gcc295.patch, findutils-4.2.18.ebuild:
  Fix variable definition to be gcc-2.95.3 compatible.

*findutils-4.2.18 (19 Feb 2005)

  19 Feb 2005; Ciaran McCreesh <ciaranm@gentoo.org> metadata.xml,
  +files/findutils-4.2.18-selinux.diff, +findutils-4.2.18.ebuild:
  Version bump, bug #82581. Thanks to spb for testing the updated selinux patch

  01 Jul 2004; <solar@gentoo.org> findutils-4.1.20-r1.ebuild:
  added support for static linking of find/xargs

  10 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  findutils-4.1.20-r1.ebuild:
  Added 'use x86' for matching use afs to fix bug #53599.

  15 May 2004; Joshua Kinard <kumba@gentoo.org> findutils-4.1.20-r1.ebuild:
  Marked stable on mips.

  29 Apr 2004; Ryan Phillips <rphillips@gentoo.org> findutils-4.1.20-r1.ebuild,
  findutils-4.1.20.ebuild, findutils-4.1.7-r2.ebuild,
  findutils-4.1.7-r3.ebuild, findutils-4.1.7-r4.ebuild,
  findutils-4.1.7-r5.ebuild:
  Added a fix for openafs. Fixes #19994

  09 Apr 2004; Brian Jackson <iggy@gentoo.org> findutils-4.1.20-r1.ebuild:
  add s390 keywords

  23 Mar 2004; Joshua Kinard <kumba@gentoo.org> findutils-4.1.20-r1.ebuild:
  Added gnuconfig support for mips.

  23 Mar 2004; Joshua Kinard <kumba@gentoo.org> findutils-4.1.20-r1.ebuild:
  Added ~mips to KEYWORDS.

  09 Mar 2004; <agriffis@gentoo.org> findutils-4.1.20-r1.ebuild:
  stable on alpha and ia64

  10 Feb 2004; Brad House <brad_mssw@gentoo.org> findutils-4.1.20-r1.ebuild:
  ppc64 fix

  07 Feb 2004; <gustavoz@gentoo.org> findutils-4.1.20-r1.ebuild:
  Stable on hppa and sparc

  06 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  findutils-4.1.20-r1.ebuild:
  Bump to stable for x86.

  17 Jan 2004; Bartosch Pixa <darkspecter@gentoo.org> :
  manifest fix

  16 Jan 2004; Bartosch Pixa <darkspecter@gentoo.org>
  findutils-4.1.20-r1.ebuild:
  set ppc in keywords

  29 Dec 2003; Joshua Kinard <kumba@gentoo.org> findutils-4.1.7-r5.ebuild:
  Added gnuconfig support to detect mips machines properly

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> findutils-4.1.7-r5.ebuild:
  Move to mips stable (~mips -> mips)

  28 Oct 2003; Chris PeBenito <pebenito@gentoo.org>
  findutils-4.1.20-r1.ebuild, findutils-4.1.20.ebuild,
  findutils-4.1.7-r3.ebuild, findutils-4.1.7-r4.ebuild,
  findutils-4.1.7-r5.ebuild, files/findutils-4.1.20-selinux.diff.bz2:
  Switch SELinux patch from old API to new API.

*findutils-4.1.7-r5 (23 Oct 2003)

  23 Oct 2003; Paul de Vrieze <pauldv@gentoo.org> findutils-4.1.7-r5.ebuild:
  Adding the environment size fix to the stable version too

*findutils-4.1.20-r1 (23 Oct 2003)

  23 Oct 2003; Paul de Vrieze <pauldv@gentoo.org> findutils-4.1.20-r1.ebuild,
  files/findutils-env-size.patch:
  Enlarge the xargs acceptable environment to 50k as 20k is reached with big
  ebuilds as ebuild.sh is "too" large

*findutils-4.1.20 (28 Sep 2003)

  28 Sep 2003; Martin Schlemmer <azarah@gentoo.org> findutils-4.1.20.ebuild:
  Update veersion.

  16 Apr 2003; Patrick Kursawe <phosphan@gentoo.org>
  digest-findutils-4.1.7-r4 :
  digest for selinux patch was missing

*findutils-4.1.7-r4 (11 Apr 2003)

  16 Apr 2003; Christian Birchinger <joker@gentoo.org>
  findutils-4.1.7-r4.ebuild:
  Added stable sparc keyword

  13 Apr 2003; Guy Martin <gmsoft@gentoo.org> findutils-4.1.7-r4.ebuild :
  Added hppa to KEYWORDS.

  12 Apr 2003; Seemant Kulleen <seemant@gentoo.org> findutils-4.1.7-r4.ebuild:
  added ewarns to pkg_postinst to inform of locate and updatedb removal

  12 Apr 2003; Seemant Kulleen <seemant@gentoo.org> findutils-4.1.7-r4.ebuild:
  added ewarns to pkg_postinst to inform of locate and updatedb removal

  11 Apr 2003; Aron Griffis <agriffis@gentoo.org> findutils-4.1.7-r4.ebuild:
  Mark stable on x86 and alpha

  11 Apr 2003; Aron Griffis <agriffis@gentoo.org> findutils-4.1.7-r4.ebuild:
  Point SRC_URI to mirror://gentoo since alpha.gnu.org is no longer supplying
  findutils-4.1.x versions.  See bug 18926.

  11 Apr 2003; Aron Griffis <agriffis@gentoo.org> findutils-4.1.7-r4.ebuild:
  Don't install locate/updatedb because they conflict with slocate, which is a
  better solution. See bug 18729.  Thanks to Michael Sterrett for the concepts
  in the patch.

*findutils-4.1.7-r3 (19 Mar 2003)

  20 Mar 2003; Joshua Brindle <method@gentoo.org> findutils-4.1.7-r3.ebuild:
  fixed selinux dependancy

  19 Mar 2003; Joshua Brindle <method@gentoo.org> findutils-4.1.7-r3.ebuild:
  Added selinux use flag

*findutils-4.1.7-r2 (29 Nov 2002)

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> findutils-4.1.7-r2.ebuild:
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

  29 Nov 2002; Brad Cowan <bcowan@gentoo.org> findutils-4.1.7-r2.ebuild,
  files/digest-findutils-4.1.7-r2:
  
  Added some library dependencies if use afs, temp fix for bug #260.

*findutils-4.1-r7.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> findutils-4.1-r7.ebuild :
  Added KEYWORDS, SLOT.

*findutils-4.1.7-r1 (12 Mar 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  14 Jul 2002; phoen][x <phoenix@gentoo.org> findutils-4.1.7.ebuild :
  Added KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> findutils-4.1.7-r1.ebuild :
  Added KEYWORDS, SLOT.

  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org> ChangeLog :

  Added USE dependent nls compilation

*findutils-4.1.7 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
